SDL_HINT_WAVE_TRUNCATION(3)

NAME
SDL_HINT_WAVE_TRUNCATION - A variable controlling how a truncated WAVE file is handled.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_WAVE_TRUNCATION SDL_WAVE_TRUNCATION"

DESCRIPTION
A WAVE file is considered truncated if any of the chunks are incomplete or the data chunk size is not a multiple of the block size. By default, SDL decodes until the first incomplete block, as most applications seem to do.

The variable can be set to the following values:

• "verystrict" - Raise an error if the file is truncated.

• "strict" - Like "verystrict", but the size of the RIFF chunk is ignored.

• "dropframe" - Decode until the first incomplete sample frame.

• "dropblock" - Decode until the first incomplete block. (default)

This hint should be set before calling SDL_LoadWAV () or

SDL_LoadWAV_IO ()

AVAILABILITY
This hint is available since SDL 3.2.0.